{
  "common": {
    "label": {
      "payload": "內容",
      "topic": "主題",
      "name": "名稱",
      "username": "使用者名稱",
      "password": "密碼",
      "property": "屬性",
      "selectNodes": "選擇節點...",
      "expand": "擴展"
    },
    "status": {
      "connected": "已連接",
      "not-connected": "未連接",
      "disconnected": "已斷開",
      "connecting": "連接中",
      "error": "錯誤",
      "ok": "確定"
    },
    "notification": {
      "error": "<strong>錯誤</strong>: __message__",
      "errors": {
        "not-deployed": "節點未部署",
        "no-response": "伺服器無反應",
        "unexpected": "發生意外錯誤 (__status__) __message__"
      }
    },
    "errors": {
      "nooverride": "警告: 資訊的屬性已經不可以改寫節點的屬性. 詳情參考 bit.ly/nr-override-msg-props"
    }
  },
  "status": {
    "status": "報告所有節點狀態",
    "statusNodes": "報告 __number__ 個節點狀態",
    "label": {
      "source": "報告狀態範圍",
      "sortByType": "按類型排序"
    },
    "scope": {
      "all": "所有節點",
      "selected": "指定節點"
    }
  },
  "mqtt": {
    "label": {
      "broker": "服務端",
      "example": "e.g. nilvana-mosquitto",
      "output": "輸出",
      "qos": "QoS",
      "retain": "保持",
      "clientid": "使用者端ID",
      "port": "埠",
      "keepalive": "Keepalive計時(秒)",
      "cleansession": "使用新的會話",
      "use-tls": "使用安全連接 (SSL/TLS)",
      "tls-config": "TLS 設置",
      "verify-server-cert": "驗證伺服器憑證",
      "compatmode": "使用舊式MQTT 3.1支援"
    },
    "sections-label": {
      "birth-message": "連接時發送的消息（出生消息）",
      "will-message": "意外斷開連接時的發送消息（Will消息）",
      "close-message": "斷開連接前發送的消息（關閉消息）"
    },
    "tabs-label": {
      "connection": "連接",
      "security": "安全",
      "messages": "消息"
    },
    "placeholder": {
      "clientid": "留白則自動隨機生成",
      "clientid-nonclean": "如非新會話，必須設置使用者端ID",
      "will-topic": "留白將禁止Will資訊",
      "birth-topic": "留白將禁止Birth資訊",
      "close-topic": "留白以禁用關閉消息"
    },
    "state": {
      "connected": "已連接到服務端: __broker__",
      "disconnected": "已斷開與服務端 __broker__ 的連結",
      "connect-failed": "與服務端 __broker__ 的連接失敗"
    },
    "retain": "保留",
    "output": {
      "buffer": "Buffer",
      "string": "字串",
      "base64": "Base64編碼字串",
      "auto": "自動檢測 (字符串或buffer)",
      "json": "解析的JSON對象"
    },
    "true": "是",
    "false": "否",
    "tip": "提示: 若希望通過msg屬性對topic(資訊), qos及retain(保留)進行設置, 則將上述項留白",
    "errors": {
      "not-defined": "主題未設置",
      "missing-config": "未設置服務端",
      "invalid-topic": "主題無效",
      "nonclean-missingclientid": "使用者端ID未設定，使用新會話",
      "invalid-json-string": "無效的JSON字符串",
      "invalid-json-parse": "無法解析JSON字符串",
      "invalid-remote-url": "無效的 remote url"
    }
  },
  "httpin": {
    "label": {
      "method": "請求方式",
      "url": "URL",
      "doc": "文字檔",
      "return": "返回",
      "upload": "接受檔案上傳?",
      "status": "狀態碼",
      "headers": "Header",
      "other": "其他",
      "paytoqs": "將msg.payload附加為查詢字符串參數",
      "utf8String": "UTF8格式的字符串",
      "binaryBuffer": "二進制buffer",
      "jsonObject": "解析的JSON對象",
      "authType": "類型",
      "bearerToken": "Token"
    },
    "setby": "- 用 msg.method 設定 -",
    "basicauth": "基本認證",
    "use-tls": "使用安全連接 (SSL/TLS) ",
    "tls-config": "TLS 設置",
    "basic": "基本認證",
    "digest": "摘要認證",
    "bearer": "bearer認證",
    "use-proxy": "使用代理服務器",
    "persist": "對連接啟用keep-alive",
    "proxy-config": "代理服務器設置",
    "use-proxyauth": "使用代理身份驗證",
    "noproxy-hosts": "代理例外",
    "utf8": "UTF-8 字串",
    "binary": "二進位資料",
    "json": "JSON對象",
    "tip": {
      "in": "相對URL",
      "res": "發送到此節點的消息<b>必須</b>來自<i>http input</i>節點",
      "req": "提示：如果JSON解析失敗，則獲取的字串將按原樣返回."
    },
    "httpreq": "http 請求",
    "errors": {
      "not-created": "當httpNodeRoot為否時，無法創建http-in節點",
      "missing-path": "無路徑",
      "no-response": "無響應物件",
      "json-error": "JSON 解析錯誤",
      "no-url": "未設定 URL",
      "deprecated-call": "__method__ 方法已棄用",
      "invalid-transport": "非HTTP傳輸請求",
      "timeout-isnan": "超時值不是有效數字，忽略",
      "timeout-isnegative": "超時值為負，忽略",
      "invalid-payload": "無效的有效載荷"
    },
    "status": {
      "requesting": "請求中"
    }
  },
  "websocket": {
    "label": {
      "type": "類型",
      "path": "路徑",
      "url": "URL"
    },
    "listenon": "監聽",
    "connectto": "連接",
    "sendrec": "發送/接受",
    "payload": "有效載荷",
    "message": "完整資訊",
    "tip": {
      "path1": "預設情況下，<code>payload</code>將包含要發送或從Websocket接收的資料。偵聽器可以配置為以JSON格式的字串發送或接收整個消息物件.",
      "path2": "這條路徑將相對於 <code>__path__</code>.",
      "url1": "URL 應該使用ws:&#47;&#47;或者wss:&#47;&#47;方案並指向現有的websocket監聽器.",
      "url2": "預設情況下，<code>payload</code> 將包含要發送或從Websocket接收的資料。可以將使用者端配置為以JSON格式的字串發送或接收整個消息物件."
    },
    "status": {
      "connected": "連接數 __count__",
      "connected_plural": "連接數 __count__"
    },
    "errors": {
      "connect-error": "ws連接發生了錯誤: ",
      "send-error": "發送時發生了錯誤: ",
      "missing-conf": "未設置伺服器",
      "duplicate-path": "同一路徑上不能有兩個WebSocket偵聽器: __path__"
    }
  },
  "watch": {
    "watch": "watch",
    "label": {
      "files": "文件",
      "recursive": "遞迴所有子資料夾"
    },
    "placeholder": {
      "files": "逗號分開文件或資料夾"
    },
    "tip": "在Windows上，請務必使用雙斜杠 \\\\ 來隔開資料夾名字"
  },
  "tcpin": {
    "label": {
      "type": "類型",
      "output": "輸出",
      "port": "埠",
      "host": "主機位址",
      "payload": "的有效載荷",
      "delimited": "分隔符號號",
      "close-connection": "是否在成功發送每條資訊後斷開連接?",
      "decode-base64": "用 Base64 解碼信息?",
      "server": "伺服器",
      "return": "返回",
      "ms": "毫秒",
      "chars": "字元"
    },
    "type": {
      "listen": "監聽",
      "connect": "連接",
      "reply": "回應 TCP"
    },
    "output": {
      "stream": "字串流",
      "single": "單一",
      "buffer": "Buffer",
      "string": "字串",
      "base64": "Base64 字串"
    },
    "return": {
      "timeout": "指定時間後",
      "character": "當收到某個字元為",
      "number": "指定字元數",
      "never": "永不 - 保持連接",
      "immed": "馬上 - 不需要等待回復"
    },
    "status": {
      "connecting": "正在連接到 __host__:__port__",
      "connected": "已經連接到 __host__:__port__",
      "listening-port": "監聽埠 __port__",
      "stopped-listening": "已停止監聽埠",
      "connection-from": "連接來自 __host__:__port__",
      "connection-closed": "連接已關閉 __host__:__port__",
      "connections": "__count__ 個連接",
      "connections_plural": "__count__ 個連接"
    },
    "errors": {
      "connection-lost": "連接中斷 __host__:__port__",
      "timeout": "超時關閉通訊端連接，埠 __port__",
      "cannot-listen": "無法監聽埠 __port__, 錯誤: __error__",
      "error": "錯誤: __error__",
      "socket-error": "通訊端連接錯誤來自 __host__:__port__",
      "no-host": "主機位址或埠未設定",
      "connect-timeout": "連接逾時",
      "connect-fail": "連接失敗"
    }
  },
  "udp": {
    "label": {
      "listen": "監聽",
      "onport": "埠",
      "using": "使用",
      "output": "輸出",
      "group": "組",
      "interface": "本地IP",
      "send": "發送一個",
      "toport": "到埠",
      "address": "地址",
      "decode-base64": "是否解碼Base64編碼的資訊?",
      "interfaceprompt": "（可選）本地 IP 綁定到"
    },
    "placeholder": {
      "interface": "（可選）eth0的IP地址",
      "interfaceprompt": "(可選) 要綁定的本地接口或地址",
      "address": "目標IP位址"
    },
    "udpmsgs": "udp信息",
    "mcmsgs": "群播信息",
    "udpmsg": "udp信息",
    "bcmsg": "廣播資訊",
    "mcmsg": "群播信息",
    "output": {
      "buffer": "Buffer",
      "string": "字串",
      "base64": "Base64編碼字串"
    },
    "bind": {
      "random": "綁定到任意本地埠",
      "local": "綁定到本地埠",
      "target": "綁定到目標埠"
    },
    "tip": {
      "in": "提示：確保您的防火牆將允許資料進入",
      "out": "提示：如果要使用<code>msg.ip</code>和<code>msg.port</code>設置，請將位址和埠留空",
      "port": "正在使用埠: "
    },
    "status": {
      "listener-at": "udp 監聽器正在監聽 __host__:__port__",
      "mc-group": "udp 群播到 __group__",
      "listener-stopped": "udp 監聽器已停止",
      "output-stopped": "udp 輸出已停止",
      "mc-ready": "udp 群播已準備好: __outport__ -> __host__:__port__",
      "bc-ready": "udp 廣播已準備好: __outport__ -> __host__:__port__",
      "ready": "udp 已準備好: __outport__ -> __host__:__port__",
      "ready-nolocal": "udp 已準備好: __host__:__port__",
      "re-use": "udp 重用通訊端: __outport__ -> __host__:__port__"
    },
    "errors": {
      "access-error": "UDP 訪問錯誤, 你可能需要root許可權才能接入1024以下的埠",
      "error": "錯誤: __error__",
      "bad-mcaddress": "無效的群播地址",
      "interface": "必須是指定介面的IP位址",
      "ip-notset": "udp: IP地址未設定",
      "port-notset": "udp: 埠未設定",
      "port-invalid": "udp: 無效埠號碼",
      "alreadyused": "udp: 埠已被佔用",
      "ifnotfound": "udp: 接口 __iface__ 未發現"
    }
  },
  "switch": {
    "switch": "switch",
    "label": {
      "property": "屬性",
      "rule": "規則",
      "repair": "重建資訊佇列"
    },
    "previous": "先前值",
    "and": "與",
    "checkall": "全選所有規則",
    "stopfirst": "接受第一條匹配資訊後停止",
    "ignorecase": "忽略大小寫",
    "rules": {
      "btwn": "在之間",
      "cont": "包含",
      "regex": "匹配規則運算式",
      "true": "為真",
      "false": "為假",
      "null": "為空",
      "nnull": "非空",
      "istype": "類型是",
      "empty": "為空",
      "nempty": "非空",
      "head": "head",
      "tail": "tail",
      "index": "index between",
      "exp": "JSONata運算式",
      "else": "除此以外",
      "hask": "擁有鍵"
    },
    "errors": {
      "invalid-expr": "無效的JSONata運算式: __error__",
      "too-many": "Switch節點中有太多待定信息"
    }
  },
  "change": {
    "label": {
      "rules": "規則",
      "rule": "規則",
      "set": "設定 __property__",
      "change": "修改 __property__",
      "delete": "刪除 __property__",
      "move": "移動 __property__",
      "changeCount": "修改: __count__ 條規矩",
      "regex": "使用規則運算式"
    },
    "action": {
      "set": "設定",
      "change": "修改",
      "delete": "刪除",
      "move": "轉移",
      "to": "到",
      "search": "搜索",
      "replace": "替代為"
    },
    "errors": {
      "invalid-from": "無效的'from'屬性: __error__",
      "invalid-json": "無效的'to'JSON 屬性",
      "invalid-expr": "無效的JSONata運算式: __error__",
      "no-override": "無法設置非對象類型的屬性： __property__"
    }
  },
  "range": {
    "range": "range",
    "label": {
      "action": "操作",
      "inputrange": "映射輸入資料",
      "resultrange": "至目標範圍",
      "from": "從",
      "to": "到",
      "roundresult": "取最接近整數？"
    },
    "placeholder": {
      "min": "e.g. 0",
      "maxin": "e.g. 99",
      "maxout": "e.g. 255"
    },
    "scale": {
      "payload": "按比例msg.payload",
      "limit": "按比例並設定界限至目標範圍",
      "wrap": "按比例並包含在目標範圍內"
    },
    "tip": "提示: 此節點僅對數字有效",
    "errors": {
      "notnumber": "不是一個數字"
    }
  },
  "csv": {
    "label": {
      "columns": "列",
      "separator": "分隔符號",
      "c2o": "CSV至對象",
      "o2c": "對象至CSV",
      "input": "輸入",
      "skip-s": "忽略前",
      "skip-e": "行",
      "firstrow": "第一行包含列名",
      "output": "輸出",
      "includerow": "包含列名行",
      "newline": "分行符號",
      "usestrings": "解析數值",
      "include_empty_strings": "包含空字符串",
      "include_null_values": "包含空值"
    },
    "placeholder": {
      "columns": "用逗號分割列名"
    },
    "separator": {
      "comma": "逗號",
      "tab": "Tab",
      "space": "空格",
      "semicolon": "分號",
      "colon": "冒號",
      "hashtag": "井號",
      "other": "其他..."
    },
    "output": {
      "row": "每行一條信息",
      "array": "僅一條資訊 [陣列]"
    },
    "newline": {
      "linux": "Linux (\\n)",
      "mac": "Mac (\\r)",
      "windows": "Windows (\\r\\n)"
    },
    "hdrout": {
      "none": "從不發送列標題",
      "all": "總是發送列標題",
      "once": "發送頭一次，直到 msg.reset"
    },
    "errors": {
      "csv_js": "此節點僅處理CSV字串或JS物件",
      "obj_csv": "對象->CSV轉換未設定列模版",
      "bad_csv": "CSV數據格式錯誤-輸出可能已損壞。"
    }
  },
  "html": {
    "label": {
      "select": "選取項",
      "output": "輸出",
      "in": "in"
    },
    "output": {
      "html": "選定元素的html內容",
      "text": "選定元素的純文字內容",
      "attr": "包含選定元素的所有屬性的物件"
    },
    "format": {
      "single": "一條資訊 [陣列]",
      "multi": "多條資訊，每條一個元素"
    }
  },
  "json": {
    "errors": {
      "dropped-object": "忽略非物件格式的有效負載",
      "dropped": "忽略不支援格式的有效負載類型",
      "dropped-error": "轉換有效負載失敗",
      "schema-error": "JSON架構錯誤",
      "schema-error-compile": "JSON架構錯誤: 未能編譯架構"
    },
    "label": {
      "o2j": "對象至JSON",
      "pretty": "格式化JSON字串",
      "action": "操作",
      "property": "屬性",
      "actions": {
        "toggle": "JSON字串與物件互轉",
        "str": "總是轉為JSON字串",
        "obj": "總是轉為JS對象"
      }
    }
  },
  "yaml": {
    "errors": {
      "dropped-object": "忽略非物件格式的有效負載",
      "dropped": "忽略不支援格式的有效負載類型",
      "dropped-error": "轉換有效負載失敗"
    }
  },
  "xml": {
    "label": {
      "represent": "XML標籤屬性的屬性名稱",
      "prefix": "標籤文本內容的屬性名稱",
      "advanced": "高級選項",
      "x2o": "XML到物件選項"
    },
    "errors": {
      "xml_js": "此節點僅處理XML字串或JS物件."
    }
  },
  "file": {
    "label": {
      "filename": "檔案名",
      "action": "行為",
      "addnewline": "向每個有效載荷添加分行符號（\\n）?",
      "createdir": "創建目錄（如果不存在）?",
      "outputas": "輸出",
      "breakchunks": "分拆成塊",
      "breaklines": "分拆成行",
      "filelabel": "文件",
      "sendError": "發生錯誤時發送消息（傳統模式）",
      "encoding": "編碼",
      "deletelabel": "刪除 __file__",
      "utf8String": "UTF8字符串",
      "binaryBuffer": "二進制buffer"
    },
    "action": {
      "append": "追加至文件",
      "overwrite": "複寫文件",
      "delete": "刪除檔"
    },
    "output": {
      "utf8": "一個utf8字串",
      "buffer": "一個Buffer物件",
      "lines": "每行一條信息",
      "stream": "一個Buffer流"
    },
    "status": {
      "wrotefile": "寫入至文件: __file__",
      "deletedfile": "刪除檔: __file__",
      "appendedfile": "追加至文件: __file__"
    },
    "encoding": {
      "none": "默認",
      "native": "Native",
      "unicode": "Unicode",
      "japanese": "日本",
      "chinese": "中國",
      "korean": "韓國",
      "taiwan": "臺灣/香港",
      "windows": "Windows代碼頁",
      "iso": "ISO代碼頁",
      "ibm": "IBM代碼頁",
      "mac": "Mac代碼頁",
      "koi8": "KOI8代碼頁",
      "misc": "其它"
    },
    "errors": {
      "nofilename": "未指定檔案名",
      "invaliddelete": "警告：無效刪除。請在配置對話方塊中使用特定的刪除選項",
      "deletefail": "無法刪除檔: __error__",
      "writefail": "無法寫入文件: __error__",
      "appendfail": "無法追加到文件: __error__",
      "createfail": "檔創建失敗: __error__"
    },
    "tip": "提示: 檔案名應該是絕對路徑，否則它將相對於Node-RED進程的工作目錄。"
  },
  "split": {
    "split": "split",
    "intro": "基於以下類型拆分<code>msg.payload</code>:",
    "object": "<b>對象</b>",
    "objectSend": "每個鍵值對作為單個消息發送",
    "strBuff": "<b>字串</b> / <b>Buffer</b>",
    "array": "<b>陣列</b>",
    "splitUsing": "拆分使用",
    "splitLength": "固定長度",
    "stream": "作為消息流處理",
    "addname": " 複製鍵到 "
  },
  "join": {
    "join": "join",
    "mode": {
      "mode": "模式",
      "auto": "自動",
      "merge": "合併序列",
      "reduce": "縮減序列",
      "custom": "手動"
    },
    "combine": "合併每個",
    "completeMessage": "完整的消息",
    "create": "輸出為",
    "type": {
      "string": "字串",
      "array": "陣列",
      "buffer": "Buffer",
      "object": "鍵值對對象",
      "merged": "合併對象"
    },
    "using": "使用此值",
    "key": "作為鍵",
    "joinedUsing": "合併符號",
    "send": "發送資訊:",
    "afterCount": "達到一定數量的資訊時",
    "count": "數量",
    "subsequent": "和每個後續的消息",
    "afterTimeout": "第一條消息的若幹時間後",
    "seconds": "秒",
    "complete": "在收到存在<code>msg.complete</code>的消息後",
    "tip": "此模式假定此節點與<i>split</i>相連, 或者接收到的消息有正確配置的<code>msg.parts</code>屬性.",
    "too-many": "join節點中有太多待定信息",
    "merge": {
      "topics-label": "合併主題",
      "topics": "主題",
      "topic": "主題",
      "on-change": "當收到一個新主題時發送已合併資訊"
    },
    "reduce": {
      "exp": "Reduce運算式",
      "exp-value": "exp",
      "init": "初始值",
      "right": "反向求值(從後往前)",
      "fixup": "Fix-up exp"
    },
    "errors": {
      "invalid-expr": "無效的JSONata運算式: __error__",
      "invalid-type": "無法添加 __error__ 至buffer"
    }
  },
  "sort": {
    "sort": "排序",
    "target": "排序屬性",
    "seq": "資訊佇列",
    "key": "鍵值",
    "elem": "元素值",
    "order": "順序",
    "ascending": "昇冪",
    "descending": "降冪",
    "as-number": "作為數值",
    "invalid-exp": "排序節點中存在無效的JSONata運算式",
    "too-many": "排序節點中有太多待定信息",
    "clear": "清空排序節點中的待定資訊"
  },
  "batch": {
    "batch": "batch",
    "mode": {
      "label": "模式",
      "num-msgs": "按指定數量分組",
      "interval": "按時間間隔分組",
      "concat": "按主題分組"
    },
    "count": {
      "label": "分組數量",
      "overlap": "隊末隊首重疊數量",
      "count": "數量",
      "invalid": "無效的分組數量或重疊數量"
    },
    "interval": {
      "label": "時間間隔",
      "seconds": "秒",
      "empty": "無數據到達時發送空資訊"
    },
    "concat": {
      "topics-label": "主題",
      "topic": "主題"
    },
    "too-many": "batch節點中有太多待定信息",
    "unexpected": "未知模式",
    "no-parts": "資訊中沒有parts屬性"
  },
  "camera-configuration": {
    "interval": "間隔時間",
    "face-detection": "人臉偵測",
    "seconds": "秒",
    "enable-camera": "相機啟動中",
    "disable-camera": "相機關閉中",
    "cam-id": "相機編號",
    "choose-cam-id": "選取相機",
    "turning-on-camera": "正在啟動相機",
    "turning-off-camera": "正在關閉相機",
    "start-streaming": "開始影像串流",
    "stop-streaming": "關閉影像串流"

  }
}